@import "../variables/color.scss";

.ui-alert-container {
  display: flex;
  flex-direction: column;
  transition: all 0.6s ease;
  border-radius: 5px;

  &.info {
    border-left: 5px solid $alertInfo;
    border-top: 1px solid $alertInfo;
    border-bottom: 1px solid $alertInfo;
    border-right: 1px solid $alertInfo;
    background-color: #e9f0fa;
  }

  &.success {
    border-left: 5px solid $alertSuccess;
    border-top: 1px solid $alertSuccess;
    border-bottom: 1px solid $alertSuccess;
    border-right: 1px solid $alertSuccess;
    background-color: #f0f9eb;
  }

  &.error {
    border-left: 5px solid $alertError;
    border-top: 1px solid $alertError;
    border-bottom: 1px solid $alertError;
    border-right: 1px solid $alertError;
    background-color: #fef0f0;
  }

  &.warning {
    border-left: 5px solid $alertWarning;
    border-top: 1px solid $alertWarning;
    border-bottom: 1px solid $alertWarning;
    border-right: 1px solid $alertWarning;
    background-color: #faf5e5;
  }

  .ui-alert-header {
    padding: 16px;
    display: flex;
    justify-content: space-between;

    &-title {
      display: flex;
      align-items: center;
    }

    &-text {
      color: black;
      padding-left: 16px;
      line-height: 1.33;
      letter-spacing: 0.5px;
      color: #323c47;
      font-size: 15px;
    }
  }

  .ui-alert-body {
    padding: 16px;
    transition: opacity 0.8s ease;
    height: 0px;
    opacity: 0;
    font-weight: 100;
    font-size: 15px;
    color: #323c47;
    letter-spacing: normal;

    &.expanded {
      opacity: 1;
      height: 100%;
    }
  }

  .expandedIcon {
    transition: all 0.5s ease;
    cursor: pointer;
    opacity: 0.5;
    filter: brightness(0);

    &:hover {
      opacity: 1;
      filter: brightness(1);
    }

    &.expanded {
      transform: rotate(180deg);
    }
  }
}
